Package org.jboss.logging

## Interface ParameterConverter<I>

Type Parameters:
  `I` - the input type

    @Deprecated
    public interface ParameterConverter<I>

Deprecated.
this is not currently used anywhere and no replacement will be created
A converter for a specific parameter type.

Author:
  David M. Lloyd

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.lang.Object` `convert​(java.util.Locale locale, I parameter)` Deprecated. Convert the parameter to its string or string-equivalent representation.

### Method Detail

#### convert

    java.lang.Object convert​(java.util.Locale locale,
                             I parameter)

Deprecated.
Convert the parameter to its string or string-equivalent representation. The returned value will be passed in as a parameter to either a `MessageFormat` or `Formatter` instance, depending on the setting of `org.jboss.logging.annotation.Message.format`.

Parameters:
  `locale` - the locale
  `parameter` - the parameter
Returns:
  the converted value